
Redmine - Feature #33835

Redmine links: Issues: add link for subject

2020-08-10 09:59 - Charles Atkinson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Using examples from https://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingTextile, please consider adding to ...

#124

#124-6

#124#note-6

... a new link format which would also display the current subject of the issue, say

#124:

#124-6:

#124#note-6:

This feature would allow the user to know the subject of an issue link without having to open the link.    

Versions

root:~# aptitude show postgresql-9.6 | grep Version

Version: 9.6.17-0+deb9u1

root:/usr/share/redmine# ruby bin/about

sh: 1: svn: not found

sh: 1: darcs: not found

sh: 1: hg: not found

sh: 1: cvs: not found

sh: 1: bzr: not found

Environment:

  Redmine version                3.3.1.stable

  Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux-gnu]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Git                            2.11.0

  Filesystem                     

Redmine plugins:

  redmine_category_watchers      0.0.1

  redmine_close_button           0.0.8

  redmine_emojibutton            0.4.1

History

#1 - 2020-08-11 13:29 - Robert Korulczyk

This is already supported by:

##124

##124-6

##124#note-6
https://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingTextile


#2 - 2020-08-12 07:06 - Charles Atkinson

Thank you Robert

I tried the format (using Redmine version 3.3.1.stable) and it did not work.  Also the format is not documented at 

https://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingTextile (the only ## on that page is in the ordered lists section).

What is required to make the format available? Redmine version, plugin, textile alternative ... ?

#3 - 2020-08-12 07:11 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Charles Atkinson wrote:

I tried the format (using Redmine version 3.3.1.stable) and it did not work.  Also the format is not documented at 

https://www.redmine.org/projects/redmine/wiki/RedmineTextFormattingTextile (the only ## on that page is in the ordered lists section).

What is required to make the format available? Redmine version, plugin, textile alternative ... ?

 The syntax has been added in Redmine 4.0.0 (#29488). Please update your Redmine to the latest version.
